[tool.poetry]
name = "division-2-xp-tracker"
version = "0.1.0"
description = "A tool for tracking XP gains in Tom Clancy's The Division 2"
authors = ["Elizabeth Frazier <liz@egfrazier.com>"]
readme = "README.md"
packages = [{include = "xp_tracker"}]
package-mode = false

[tool.poetry.dependencies]
python = "3.12.2"

[tool.poetry.group.dev.dependencies]
black = "^24.4.0"
pytest = "^8.1.1"
mypy = "^1.9.0"
pre-commit = "^3.7.0"
flake8 = "^7.0.0"
commitizen = "^3.24.0"

[tool.poetry.group.build.dependencies]
pyinstaller = "^6.6.0"


[tool.commitizen]
name = "cz_conventional_commits"
tag_format = "$version"
version_scheme = "semver"
version_provider = "poetry"
update_changelog_on_bump = true
major_version_zero = true
[build-system]
requires = ["poetry-core"]
build-backend = "poetry.core.masonry.api"
